#include<iostream>
using namespace std;
int main()
{
long long brNezadraskani;
long long nezadraskani[10000];
long long cinc;
long long chetni;
long long counter;
long long nechetni;
cin>>brNezadraskani;
while(cinc<=brNezadraskani)
{
cin>>nezadraskani[cinc];
cinc++;
}
while(counter<=nezadraskani[cinc])
{
long long number=1;
if(number!=cinc[number-1])
{
if(number%2==0)
{
chetni=chetni+1;
}
else
{
nechetni=nechetni+1;
}
}
}
cout<<nechetni;
cout<<chetni;
return 0;
}